Bug 15938 - login page tab focus wrong
Summary: login page tab focus wrong
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 2.8
Hardware: i386
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-10 19:02 UTC by Matt Domsch
Modified: 2007-04-18 16:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-26 17:38:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2000-08-10 19:02:55 UTC
On the login page, the tab focus goes from username to login button to 
password.  So, you've got to tab twice after entering your username to 
enter your password, then shift-tab to get back to the login button.
The focus should go username, then password, then login button.

Comment 1 David Lawrence 2000-08-16 19:41:28 UTC
This seems to work for me when using Netscape Communicator 4.74. Typing in the
username and then tabbing takes me to the password field. What browser are you
using to cause this to occur?

Comment 2 Matt Domsch 2000-08-18 15:35:29 UTC
I'm using Internet Explorer 5.0 on NT4 and/or Windows 2000 (not by choice).

Comment 3 David Lawrence 2000-08-18 16:08:28 UTC
Ok, I have confirmed this to act as you reported using Internet Explorer 5.01
and Netscape Navigator 4.74 for Windows. But wierdly it acts differently using
Netscape 4.74 for Linux. There is any special HTML on that page making it act in
a specific way so I imagine it is just based on the order the widgets are drawn
when rendering the page between the different architectures. I will look into
the HTML standard and see if there is anything that can be added to make the
behaviour more consistent across OS's.

Comment 4 David Lawrence 2001-08-06 16:31:36 UTC
This should be different now. Please reopen this bug if it is not satisfactory.


Note You need to log in before you can comment on or make changes to this bug.